Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Epic # 55656 (Accepted): Optimize overall Extbase performance

Status: Accepted Priority: Could have
Updated: 2014-07-22 Due date: 2014-07-09
TYPO3 Version: 6.2
PHP Version:
Subject: Optimize Extbase generic persistence
Description

Umbrella issue to gather tasks and bugfixes to speed up the generic persistence.

Subtasks:
Task # 55167: Extbase: avoid parseQuery() / buildQuery() to be called multiple times Resolved
  Task # 55661: Add functional tests for extbase persistence Resolved
  Task # 57173: Use of cf_extbase_typo3dbbackend_queries results in fatal Resolved
  Task # 57130: Extbase Queries with NULL comparison don't work anymore Resolved
  Task # 57104: Regression: Query building fails for LazyObjectStorage Resolved
  Task # 57263: Typo3DbQueryParser does not handle LowerCaseInterface correctly Resolved
  Task # 57338: Make Typo3DbQueryParser Singleton Resolved
Task # 55169: Extbase: fetch child objects in one query Under Review
  Feature # 60460: Refactor lazyLoading handling in extbase Accepted
Task # 53514: Extbase: DataMapper causes redundant queries Resolved
Task # 55360: Extbase: use preparedStatement in generic persistence Resolved
  Task # 57067: Follow-Up re-use preparedStatement object Accepted
  Task # 57254: Fix usage of own prepared statement object in $query->statement Resolved
Task # 56979: Add setting for DataMapper to enable preparedStatements New
Task # 59917: User Repositories in internal persistence logic Under Review

History
#1 - 2014-01-20 14:46 - Felix Oertel
- Tags set to performance

#2 - 2014-02-04 13:16 - Marc Bastian Heinrichs
- Parent task set to #55656

#3 - 2014-02-14 18:59 - Ernesto Baschny
- Project changed from Extbase MVC Framework to Core
- Category deleted (Extbase: Generic Persistence)

#4 - 2014-02-14 18:59 - Ernesto Baschny
- Category set to Extbase
- TYPO3 Version set to 6.2
